.detail {
  overflow: auto;
  height: 100%;
  -webkit-overflow-scrolling: touch;

  &-wrap {
    position: relative;
    height: 100vh;
    overflow: hidden;
  }

  &-list {
    display: flex;
    height: 100%;
  }

  &-item {
    position: relative;
    display: flex;
    height: 100%;
    width: 100vw;
    min-width: 100vw;

    &:first-child {
      @include respond-max('mobile') {
        width: 200vw;
        min-width: 200vw;

        .detail-item__media {
          max-width: 50%;
        }
      }
    }

    &:last-child {
      background-color: #fff;
    }

    &__media {
      position: relative;
      display: flex;
      height: 100%;
      background-color: #fff;
      @include respond-min('mobile') {
        max-width: 66%;
      }

      &:before,
      &:after {
        content: '';
        position: absolute;
        top: 0;
        display: block;
        width: 300px;
        height: 100%;

        @include respond-max('mobile') {
          width: 100px;
        }
      }

      &:before {
        left: 0;
        transform: translateX(-100%);
        background: linear-gradient(
          90deg,
          rgba(255, 255, 255, 0) 0%,
          rgba(255, 255, 255, 1) 75%
        );
      }

      &:after {
        right: 0;
        transform: translateX(100%);
        background: linear-gradient(
          90deg,
          rgba(255, 255, 255, 1) 0%,
          rgba(255, 255, 255, 0) 75%
        );
      }
    }

    &__button {
      margin: auto;
      position: relative;
      display: flex;
      align-items: center;
      justify-content: center;
      background-color: #fff;
      transition-timing-function: ease-in-out;
      transition-property: width;
      height: 65px;
      padding: 0 30px;
      border-radius: 4px;
      overflow: hidden;

      &:hover {
        border: 1px solid #000;
      }

      @include respond-max('mobile') {
        height: 48px;
        padding: 0 24px;
      }

      span {
        mix-blend-mode: difference;
        color: #fff;
        font-family: 'optima', sans-serif;
        font-size: 24px;
        line-height: 1.2;

        @include respond-max('mobile') {
          font-size: 18px;
        }
      }

      &:before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        display: block;
        width: 0;
        height: 100%;
        background-color: #000;
        transition: inherit;
      }

      &.is-load {
        &:before {
          width: 100%;
        }
      }
    }

    img,
    video {
      max-height: 100%;
      max-width: 100%;
      object-fit: contain;
      margin: auto;
    }
  }

  &-desc {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 25%;
    transform: translate(-50%, -50%);
    z-index: -1;

    @include respond-max('mobile') {
      width: 50%;

      p {
        font-size: 12px;
        line-height: 16px;
      }
    }
  }
}
